Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160976 - mount -o rw /media/usbdisk mounts readonly for legend 1GB usb 2.0 mini flashdrive
Summary: mount -o rw /media/usbdisk mounts readonly for legend 1GB usb 2.0 mini flashd...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-19 12:19 UTC by simon shields
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-08 10:46:57 UTC


Attachments (Terms of Use)

Description simon shields 2005-06-19 12:19:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
When I insert 1GB legend usbdisk, dmesg reports sda : READ CAPACITY(16) failed. and sda: Write Protect is on, so I can't write to usbdisk. 

[root@sstusc sshields]# mount
/dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw)
none on /proc type proc (rw)
none on /sys type sysfs (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
usbfs on /proc/bus/usb type usbfs (rw)
/dev/hda1 on /boot type ext3 (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
none on /dev/shm type tmpfs (rw,size=528m)
/dev/sda1 on /media/usbdisk type vfat (ro,nosuid,nodev,sync,noatime,iocharset=utf8,fscontext=system_u:object_r:removable_t)

[root@sstusc sshields]# cp /etc/hosts /media/usbdisk
cp: cannot create regular file `/media/usbdisk/hosts': Read-only file system

[root@sstusc sshields]# umount /media/usbdisk
[root@sstusc sshields]# mount -o rw /media/usbdisk
mount: block device /dev/sda1 is write-protected, mounting read-only

/etc/sysconfig/hwconf entry for usb-storage is
class: HD
bus: USB
detached: 0
driver: usb-storage
desc: "USB Storage"
usbclass: 8
usbsubclass: 6
usbprotocol: 50
usbbus: 1
usblevel: 1
usbport: 0
usbdev: 110
vendorId: 05e3
deviceId: 0704
usbprod: USB Storage

dmesg output for usb-storage reports

usb 1-1: new high speed USB device using ehci_hcd and address 112
scsi5 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 112
usb-storage: waiting for device to settle before scanning
  Vendor: Generic   Model: STORAGE DEVICE    Rev: 2258
  Type:   Direct-Access                      ANSI SCSI revision: 00
sda : very big device. try to use READ CAPACITY(16).
sda : READ CAPACITY(16) failed.
sda : status=0, message=00, host=5, driver=00
sda : use 0xffffffff as device size
SCSI device sda: 4294967296 512-byte hdwr sectors (2199023 MB)
sda: Write Protect is on
sda: Mode Sense: 02 00 80 00
sda: assuming drive cache: write through
sda : very big device. try to use READ CAPACITY(16).
sda : READ CAPACITY(16) failed.
sda : status=0, message=00, host=5, driver=00
sda : use 0xffffffff as device size
SCSI device sda: 4294967296 512-byte hdwr sectors (2199023 MB)
sda: Write Protect is on
sda: Mode Sense: 02 00 80 00
sda: assuming drive cache: write through
 sda: sda1
Attached scsi removable disk sda at scsi5, channel 0, id 0, lun 0
usb-storage: device scan complete

uname -r
2.6.11-1.27_FC3

uname -a
Linux sstusc 2.6.11-1.27_FC3 #1 Tue May 17 20:27:37 EDT 2005 i686 i686 i386 GNU/Linux


Version-Release number of selected component (if applicable):
version 2.12a release 24.2

How reproducible:
Always

Steps to Reproduce:
1. insert legend 1GB flash drive into usb slot
2. cp /etc/hosts /media/usbdisk

  

Actual Results:  Error reports
cp: cannot create regular file `/media/usbdisk/hosts': Read-only file system

Expected Results:  The file /etc/hosts should have appeared in /media/usbdisk

Additional info:

dmesg output in description above
/etc/sysconfig/hwconf entry for usb-storage is in description

mount -o rw /media/usbdisk error message in description above

Comment 1 Karel Zak 2005-06-21 12:46:26 UTC
Why do you expect that the mount should be attach your device read-write when
kernel provides it as "read-only"? dmesg:

   sda: Write Protect is on

Please, are you really sure that you don't use any HW write protection on your
USB disk?
  


Note You need to log in before you can comment on or make changes to this bug.